XScreenSaver(1)

NAME
flag - draws a waving flag, containing text or an image

SYNOPSIS
flag [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-ncolors integer] [-delay microseconds] [-cycles integer] [-size integer] [-text string] [-font font] [-bitmap xbm-file]

DESCRIPTION
The flag program draws a waving flag that contains text or a bitmap.

OPTIONS
flag accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-ncolors integer
    How many colors should be used (if possible). Default 200.

-cycles integer

-count integer

-size integer
    How large the pixels in the flag should be, from 1 to 8. If this is a negative number, the pixel size is chosen randomly from the range 1 to -size. Default -7.

-text text
    The text to display in the flag. Multiple lines of text are allowed; the lines will be displayed centered atop one another. Default: none. If the text is the magic string "(default)", then the text used will be the local machine name; a newline; and the local OS version.

-bitmap xbm-file
    The bitmap to display in the flag; this must be an XBM file (color XPMs are not allowed.) Default: none. If the bitmap is the magic string "(default)", then the bitmap used will be a charming little picture of J. R. "Bob" Dobbs. If neither -text nor -bitmap are specified, then either the builtin text or the builtin bitmap will be chosen randomly.

-font font
    The font in which to draw the text; the default is "-*-helvetica-bold-r-*-240-*".

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 1996 Charles Vidal. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Charles Vidal <vidalc@univ-mlv.fr>, 1996. Ability to run standalone or with xscreensaver, and the -text and -bitmap options, added by Jamie Zawinski <jwz@jwz.org>, 24-May-97.